#!/bin/bash

set -e

cd "$(dirname "$0")"

cd images
[ ! -e xubuntu.img ] && qemu-img create -f qcow2 -b xubuntu-base.img xubuntu.img
cd ..

image=images/xubuntu.img

qemu_opts=(
  -accel kvm
  -cpu host
  -smp 4,sockets=1,cores=4
  -vga qxl
  -m 4096
  -hda "$image"
  -net nic -net user,hostfwd=tcp:127.0.0.1:10022-:22
  -monitor stdio
  )
qemu-system-x86_64 "${qemu_opts[@]}"
